Package vyatta-webproxy: Squid3 dysfunctional, needs implementation of new squid.conf syntax
Open, HighPublic

Description

Hi,

when transitioning to Debian Jessie, the version of Squid jumped from 3.1.6 to 3.4.8. The squid.conf syntax is still the same as for Squid 3.1.6. The new Squid proxy will not start with the squid.conf generated by the script /opt/vyatta/sbin/vyatta-update-webproxy.pl and is now dysfunctional.

VyOS 1.1.7
squid3 -- 3.1.6-1.2+squeeze5

VyOS 1.2.0-beta1
squid3 -- 3.4.8-6+deb8u2

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.0-beta1